Index: WAeUP_SRP/trunk/skins/waeup_default/waeup_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_default/waeup_edit.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_default/waeup_edit.py	(revision 1571)
@@ -17,4 +17,10 @@
 from Products.CPSDocument.utils import getFormUidUrlArg
 
+import logging
+logger = logging.getLogger('Skins.waeup_edit')
+
+mtool = context.portal_membership
+member = mtool.getAuthenticatedMember()
+
 # Check flexible controls
 #context.editLayouts(REQUEST=REQUEST)
@@ -25,5 +31,5 @@
 if context.portal_type == "StudentStudyCourse":
     if len(context.objectIds()) > 0:
-        psm = 'Edit of StudyCourse is only possible if there are no levels'
+        psm = 'Edit of StudentStudyCourse is only possible if there are no levels inside!'
         args = getFormUidUrlArg(REQUEST)
         args['portal_status_message'] = psm
@@ -58,4 +64,6 @@
                                                   department = c_path[-3],
                                                   )
+            logger.info('%s edited %s (%s) of %s' % (member,context.id,course,student_id))
+
     elif context.portal_type == "StudentApplication":
         entry_mode = ds.get('entry_mode')
@@ -64,4 +72,5 @@
                                               entry_mode = entry_mode,
                                              )
+        logger.info('%s edited %s of %s' % (member,context.id,student_id))
     elif context.portal_type == "StudentClearance":
         matric_no = ds.get('matric_no')
@@ -70,4 +79,5 @@
                                               matric_no = matric_no,
                                              )
+        logger.info('%s edited %s of %s' % (member,context.id,student_id))                                             
     elif context.portal_type in ("StudentPersonal",):
         name = "%(firstname)s %(middlename)s %(lastname)s" % ds
@@ -81,5 +91,5 @@
         #if ds.get('sex'):
         #    jamb_sex = 'F'
-        # originally imported data must be kept; app_doc should not be changed here  
+        # originally imported data must be kept; app_doc should not be changed here
         #app_doc.edit(mapping={'jamb_lastname': name,
         #                      'jamb_sex': jamb_sex
@@ -91,4 +101,5 @@
                                               sex = ds.get('sex'),
                                              )
+        logger.info('%s edited %s of %s' % (member,context.id,student_id))
     elif context.portal_type == "Course":
         dd = {}
Index: WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/pay_online.py	(revision 1571)
@@ -91,5 +91,5 @@
 info['callback_url'] = "%s/payments/%s/epayment_cb" % (student.absolute_url(),p_id)
 
-logger.info('%(student_id)s initiated online school fee payment, %(type_description)s %(amount)s N' % info)
+logger.info('%(student_id)s initiated online school fee payment' % info)
 payment_fields = (('x_SiteID','site_id'),
                   ('x_Redirect_url','callback_url'),
Index: WAeUP_SRP/trunk/skins/waeup_epayment/simulate_callback.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_epayment/simulate_callback.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_epayment/simulate_callback.py	(revision 1571)
@@ -10,4 +10,7 @@
 validate = REQUEST.has_key("cpsdocument_edit_button")
 
+import logging
+logger = logging.getLogger('Skins.simulate_callback')
+
 args = {}
 args['x_RespDesc'] = 'Simulated Callback'
@@ -17,4 +20,8 @@
 args['x_ApprAmt'] = REQUEST.get('x_amt')
 
+
+student_id = context.getStudentId()
+logger.info('%s received simulated callback' % student_id)
+
 from urllib import urlencode
 #url = "%s/epayment_cb/?%s" % (context.absolute_url(),urlencode(args))
Index: WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/add_course_result.py	(revision 1571)
@@ -12,4 +12,8 @@
 add a StudentCourseResult object
 """
+
+import logging
+logger = logging.getLogger('Skins.add_course_result')
+
 from urllib import urlencode
 try:
@@ -23,4 +27,9 @@
 aq_portal = context.portal_catalog.evalAdvancedQuery
 course_id = request.get('course_id')
+
+mtool = context.portal_membership
+member = mtool.getAuthenticatedMember()
+
+
 d = context.getCourseInfo(course_id)
 args = {}
@@ -28,11 +37,14 @@
 while True:
     if d['title'] == 'unknown':
-        err = "No such course"
+        err = "No such course!"
+        logger.info('%s tried to add StudentCourseResult object %s for non-existing course' % (member,course_id))
         break
     if context.hasObject(course_id):
-        err = "Course already exists"
+        err = "Course already exists!"
+        logger.info('%s tried to add StudentCourseResult object %s which is already in course list' % (member,course_id))
         break
     if context.hasObject("%s_co" % course_id):
-        err = "Course already exists as carryover course"
+        err = "Course already exists as carryover course!"
+        logger.info('%s tried to add StudentCourseResult object %s which already exists as carryover course' % (member,course_id))
         break
     break
@@ -40,7 +52,10 @@
 if err:
     args['course_id'] = course_id
-    args['error'] = err
+    #args['error'] = err
+    args['portal_status_message'] = err
     url = "%s?%s" % (context.absolute_url(),urlencode(args))
     return request.RESPONSE.redirect(url)
+
+   
 cr_id = context.invokeFactory('StudentCourseResult',course_id)
 #set_trace()
@@ -50,4 +65,7 @@
 context.portal_workflow.doActionFor(cr,'close')
 args['course_id'] = course_id
+
+logger.info('%s added StudentCourseResult object %s' % (member,course_id))   
+
 from urllib import urlencode
 url = "%s?%s" % (context.absolute_url(),urlencode(args))
Index: WAeUP_SRP/trunk/skins/waeup_student/add_student.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/add_student.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/add_student.py	(revision 1571)
@@ -13,5 +13,5 @@
 acco_cat = context.portal_accommodation
 import logging
-logger = logging.getLogger('Student.Add')
+logger = logging.getLogger('Skins.add_student')
 
 validate = REQUEST.has_key("cpsdocument_edit_button") and\
@@ -67,5 +67,5 @@
 student_rec = context.getFormattedStudentEntry(context.students_catalog(id = sid)[0])
 psm = "Student record with Id %s and Password %s has been created." % (sid,password)
-logger.info('"%s","created student","%s"' % (member,sid))
+logger.info('%s created student %s' % (member,sid))
 return context.add_student_form(rendered = rendered,
                                  #psm = "%s, %s" % (psm,ds),
Index: WAeUP_SRP/trunk/skins/waeup_student/application_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/application_edit.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/application_edit.py	(revision 1571)
@@ -16,5 +16,5 @@
 current = DateTime.DateTime()
 import logging
-logger = logging.getLogger('Student.Application.Edit')
+logger = logging.getLogger('Skins.application_edit')
 
 # Until ajax posts directly to its own script...
@@ -30,5 +30,5 @@
 
 if info is None:
-    logger.info('"anonymous access","%s"' % REQUEST.get('URL0'))
+    logger.info('Anonymous user tried to access %s"' % REQUEST.get('URL0'))
     return REQUEST.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
 
@@ -56,5 +56,5 @@
     elif cpsdocument_edit_and_view_button:
         if 1: ## app_doc.passport is not None:
-            logger.info('"%s", "proceeded to start clearance"' % (info['id']))
+            logger.info('%s proceeded to start clearance' % (info['id']))
             action = "/start_clearance"
             base_url = student.absolute_url()
Index: WAeUP_SRP/trunk/skins/waeup_student/change_password.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/change_password.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/change_password.py	(revision 1571)
@@ -14,5 +14,5 @@
 current = DateTime.DateTime()
 #pr = context.portal_registration
-logger = logging.getLogger('Student.change_password')
+logger = logging.getLogger('Skins.change_password')
 validate = request.has_key("change_password")
 students_dir = context.portal_directories.students
@@ -24,5 +24,5 @@
 requested_id = context.getStudentId()
 if requested_id and not context.isStaff() and member_id != requested_id:
-    logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+    logger.info('%s tried to access %s' % (member_id,requested_id))
     return None
 elif context.isStaff():
@@ -74,4 +74,5 @@
 args['__ac_name'] = student_id
 args['__ac_password'] = password
+logger.info('%s changed password from %s to %s' % (member_id,old_password,password))
 from urllib import urlencode
 url = "%s/logged_in?%s" % (context.absolute_url(),urlencode(args))
Index: WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/clearance_edit.py	(revision 1571)
@@ -16,5 +16,5 @@
 current = DateTime.DateTime()
 import logging
-logger = logging.getLogger('Student.Clearance.Edit')
+logger = logging.getLogger('Skins.clearance_edit')
 request = REQUEST
 
@@ -70,5 +70,5 @@
     if cpsdocument_edit_button or result_edit_button:
         psm = "Content changed!"
-        logger.info('"%s","edited clearance of","%s"' % (member_id,student_id ))
+        logger.info('%s edited clearance of %s' % (member_id,student_id ))
         if clear_doc.clr_ac_pin == "":
             res = context.portal_pins(student=member_id)
@@ -92,8 +92,8 @@
                     missing = True
             if missing:
-                logger.info('"%s","requested clearance with documents missing"' % (student_id))
+                logger.info('%s requested clearance with documents missing' % (student_id))
                 psm = "You have not uploaded all necessary documents to request clearance!"
             else:
-                logger.info('"%s","requested clearance"' % (student_id))
+                logger.info('%s requested clearance' % (student_id))
                 info['clear_doc'].edit(mapping = {'request_date': current,})
                 wftool.doActionFor(info['clear'],'close')
@@ -103,10 +103,10 @@
                     action = "/clearance_view"
         elif acknowledge and info['review_state'] != "clearance_pin_entered":
-            logger.info('"%s","repeatedly requested clearance"' % (student_id))
+            logger.info('%s repeatedly requested clearance' % (student_id))
             psm = "You have already requested clearance!"
         else:
             psm = "You must tick the acknowledgement check box before submission!"
     elif clear_and_validate_button and info['review_state'] == "clearance_requested":
-        logger.info('"%s","cleared","%s"' % (member_id,student_id ))
+        logger.info('%s cleared %s' % (member_id,student_id ))
         #from Products.zdb import set_trace
         #set_trace()
@@ -117,5 +117,5 @@
         psm = "This student is already cleared!"
     elif reject_clearance_button:
-        logger.info('"%s","rejected clearance for","%s"' % (member_id,student_id ))
+        logger.info('%s rejected clearance for %s' % (member_id,student_id ))
         wftool.doActionFor(info['clear'],'open')
         wftool.doActionFor(info['student'],'reject_clearance')
Index: WAeUP_SRP/trunk/skins/waeup_student/course_result_delete.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/course_result_delete.py	(revision 1568)
+++ 	(revision )
@@ -1,33 +1,0 @@
-## Script (Python) "folder_delete"
-##bind container=container
-##bind context=context
-##bind namespace=
-##bind script=script
-##bind subpath=traverse_subpath
-##parameters=ids=[], REQUEST=None
-##title=
-##
-# $Id$
-"""
-FIXME: add docstring.
-"""
-
-from Products.CMFCore.utils import getToolByName
-here = context
-
-ret_url = here.absolute_url()
-
-message = ''
-if ids:
-    real_ids = []
-    for id in ids:
-        if context.hasObject(id):
-            real_ids.append(id)
-    if real_ids:
-        context.manage_delObjects(real_ids)
-        message = 'portal_status_message=psm_item(s)_deleted'
-else:
-    message = 'portal_status_message=psm_select_at_least_one_document'
-
-if REQUEST is not None:
-    return REQUEST.RESPONSE.redirect(ret_url + '?' + message)
Index: WAeUP_SRP/trunk/skins/waeup_student/create_level.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/create_level.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/create_level.py	(revision 1571)
@@ -21,5 +21,5 @@
 response = request.RESPONSE
 redirect = response.redirect
-logger = logging.getLogger('Student.create_level')
+logger = logging.getLogger('Skins.create_level')
 mtool = context.portal_membership
 member = mtool.getAuthenticatedMember()
@@ -46,5 +46,5 @@
     level = getattr(context,current_level)
     return response.redirect("%s" % level.absolute_url())
-    
+
 context.invokeFactory('StudentStudyLevel',"%s" % current_level)
 level = getattr(context,"%s" % current_level)
@@ -63,5 +63,5 @@
         c_res = aq_courses(query)
         if not c_res:
-            logger.info('"%s","%s course not found in courses catalog"' % (student.id,co.CosCode))
+            logger.info('%s", course %s not found in courses_catalog' % (student.id,co.CosCode))
             continue
         course_cat_entry = c_res[0]
@@ -73,9 +73,9 @@
                 score = int(co.Score)
             except:
-                logger.info('"%s"," course %s invalid score %s"' % (student.id,
+                logger.info('%s, course %s has invalid score %s"' % (student.id,
                                                                     co.CosCode,
                                                                     co.Score))
                 continue
-            if int(c_res[0].passmark) <= score:  
+            if int(c_res[0].passmark) <= score:
                 continue
             carry_over = True
Index: WAeUP_SRP/trunk/skins/waeup_student/delete_course_result.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/delete_course_result.py	(revision 1571)
+++ WAeUP_SRP/trunk/skins/waeup_student/delete_course_result.py	(revision 1571)
@@ -0,0 +1,39 @@
+## Script (Python) "delete_course_result"
+##bind container=container
+##bind context=context
+##bind namespace=
+##bind script=script
+##bind subpath=traverse_subpath
+##parameters=ids=[], REQUEST=None
+##title=
+##
+# $Id: delete_course_result.py 1557 2007-03-15 16:00:27Z joachim $
+"""
+FIXME: add docstring.
+"""
+
+from Products.CMFCore.utils import getToolByName
+here = context
+
+import logging
+logger = logging.getLogger('Skins.delete_course_result')
+mtool = context.portal_membership
+member = mtool.getAuthenticatedMember()
+
+ret_url = here.absolute_url()
+
+message = ''
+if ids:
+    real_ids = []
+    for id in ids:
+        if context.hasObject(id):
+            real_ids.append(id)
+    if real_ids:
+        context.manage_delObjects(real_ids)
+        logger.info('%s deleted StudentCourseResult object %s' % (member,id))
+        message = 'portal_status_message=psm_item(s)_deleted'
+else:
+    message = 'portal_status_message=psm_select_at_least_one_document'
+
+if REQUEST is not None:
+    return REQUEST.RESPONSE.redirect(ret_url + '?' + message)
Index: WAeUP_SRP/trunk/skins/waeup_student/getAccommodationInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getAccommodationInfo.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/getAccommodationInfo.py	(revision 1571)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Student.Accommodation.Info')
+logger = logging.getLogger('Skins.getAccommodationInfo')
 import DateTime
 
@@ -29,5 +29,5 @@
     requested_id = context.getStudentId()
     if requested_id and not context.isStaff() and member_id != requested_id:
-        logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+        logger.info('%s tried to access %s' % (member_id,requested_id))
         return None
     elif context.isStaff():
@@ -37,5 +37,5 @@
 res = context.students_catalog(id=student_id)
 if len(res) != 1:
-    logger.info('"%s","not found in students_catalog"')
+    logger.info('%s not found in students_catalog' % student_id)
     return None
 
Index: WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/getApplicationInfo.py	(revision 1571)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Student.Application.Info')
+logger = logging.getLogger('Skins.getApplicationInfo')
 
 request = context.REQUEST
@@ -28,6 +28,7 @@
 requested_id = context.getStudentId()
 if requested_id and not context.isStaff() and member_id != requested_id:
-    logger.info('"%s", "accessed application object of", "%s"' % (member_id,requested_id))
+    logger.info('%s tried to access application object of %s' % (member_id,requested_id))
     student_id = requested_id
+    return None
 elif context.isStaff():
     student_id = requested_id
Index: WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/getClearanceInfo.py	(revision 1571)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Student.Clearance.Info')
+logger = logging.getLogger('Skins.getClearanceInfo')
 from DateTime import DateTime
 
@@ -30,5 +30,5 @@
 requested_id = context.getStudentId()
 if requested_id and not context.isStaff() and member_id != requested_id:
-    logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+    logger.info('%s tried to access %s' % (member_id,requested_id))
     return None
 elif context.isStaff():
Index: WAeUP_SRP/trunk/skins/waeup_student/getMemberInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getMemberInfo.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/getMemberInfo.py	(revision 1571)
@@ -28,6 +28,7 @@
 requested_id = context.getStudentId()
 if requested_id and not context.isStaff() and member_id != requested_id:
-    logger.info('"%s", "accessed personal object of", "%s"' % (member_id,requested_id))
+    logger.info('%s tried to access personal object of %s' % (member_id,requested_id))
     student_id = requested_id
+    return None
 elif context.isStaff():
     student_id = requested_id
Index: WAeUP_SRP/trunk/skins/waeup_student/getNewStudentStatistics.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getNewStudentStatistics.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/getNewStudentStatistics.py	(revision 1571)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Student.Statistics')
+logger = logging.getLogger('Skins.getNewStudentStatistics')
 
 try:
@@ -21,5 +21,5 @@
 except:
     evalAdvancedQuery = None
-logger.info('"%s","invoked new statistics"' % context.portal_membership.getAuthenticatedMember())
+logger.info('%s invoked statistics' % context.portal_membership.getAuthenticatedMember())
 l = []
 if not context.isStaff():
@@ -108,5 +108,5 @@
     if total:
         dep['cleared_and_validated_percent'] = "%.0f" % round(cav*100/total)
-        
+
     ora = len([s for s in fac_ids if s in or_ids])
     dep['objection_raised'] = ora
Index: WAeUP_SRP/trunk/skins/waeup_student/getPersonalInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getPersonalInfo.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/getPersonalInfo.py	(revision 1571)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Student.Personal.Info')
+logger = logging.getLogger('Skins.getPersonalInfo')
 
 request = context.REQUEST
@@ -28,6 +28,7 @@
 requested_id = context.getStudentId()
 if requested_id and not context.isStaff() and member_id != requested_id:
-    logger.info('"%s", "accessed personal object of", "%s"' % (member_id,requested_id))
+    logger.info('%s tried to access personal object of %s' % (member_id,requested_id))
     student_id = requested_id
+    return None
 elif context.isStaff():
     student_id = requested_id
Index: WAeUP_SRP/trunk/skins/waeup_student/getRegStatistics.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getRegStatistics.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/getRegStatistics.py	(revision 1571)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Student.Statistics')
+logger = logging.getLogger('Skins.getRegStatistics')
 
 try:
@@ -21,5 +21,5 @@
 except:
     evalAdvancedQuery = None
-logger.info('"%s","invoked reg statistics"' % context.portal_membership.getAuthenticatedMember())
+logger.info('%s invoked statistics' % context.portal_membership.getAuthenticatedMember())
 l = []
 if not context.isStaff():
@@ -81,5 +81,5 @@
     if total:
         dep['courses_registered_percent'] = "%.0f" % round(creg*100/total)
-        
+
     cval = len([s for s in fac_ids if s in cval_ids])
     dep['courses_validated'] = cval
Index: WAeUP_SRP/trunk/skins/waeup_student/getRetStudentStatistics.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getRetStudentStatistics.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/getRetStudentStatistics.py	(revision 1571)
@@ -21,5 +21,5 @@
 except:
     evalAdvancedQuery = None
-logger.info('%s invoked returning statistics' % context.portal_membership.getAuthenticatedMember())
+logger.info('%s invoked statistics' % context.portal_membership.getAuthenticatedMember())
 l = []
 if not context.isStaff():
@@ -59,5 +59,5 @@
     sum_ret += ret
     sum_sfp += sfp
-       
+
     l.append(dep)
 
Index: WAeUP_SRP/trunk/skins/waeup_student/getSchoolFeePrefix.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getSchoolFeePrefix.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/getSchoolFeePrefix.py	(revision 1571)
@@ -1,3 +1,3 @@
-## Script (Python) "getMaintenancePrefix"
+## Script (Python) "getSchoolFeePrefix"
 ##bind container=container
 ##bind context=context
@@ -16,6 +16,6 @@
     return None
 
-import logging    
-logger = logging.getLogger('EPayment.getSchoolFeePrefix')    
+import logging
+logger = logging.getLogger('Skins.getSchoolFeePrefix')
 
 student_id = context.getStudentId()
@@ -24,5 +24,5 @@
                                      id = sbrain.course)
 if not res:
-    logger.info('"%s","certificate not found", "%s"' % (student_id,course))
+    logger.info('%s, certificate %s not found' % (student_id,course))
     prefix = "--"
 else:
Index: WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/getSessionResults.py	(revision 1571)
@@ -27,6 +27,6 @@
 if requested_id and not context.isStaff() and member_id != requested_id:
     import logging
-    logger = logging.getLogger('Student.SessionResults.Info')
-    logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+    logger = logging.getLogger('Skins.getSessionResults')
+    logger.info('%s tried to access %s' % (member_id,requested_id))
     return None
 elif context.isStaff():
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentBaseInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentBaseInfo.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentBaseInfo.py	(revision 1571)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Student.Base.Info')
+logger = logging.getLogger('Skins.getStudentBaseInfo')
 from DateTime import DateTime
 
@@ -29,5 +29,5 @@
 requested_id = context.getStudentId()
 if requested_id and not context.isStaff() and member_id != requested_id:
-    logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+    logger.info('%s tried to access %s' % (member_id,requested_id))
     return None
 elif context.isStaff():
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentFolderInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentFolderInfo.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentFolderInfo.py	(revision 1571)
@@ -1,3 +1,3 @@
-## Script (Python) "getStudentInfo"
+## Script (Python) "getStudentFolderInfo"
 ##bind container=container
 ##bind context=context
@@ -21,5 +21,5 @@
 
 import logging
-logger = logging.getLogger('Student.Info')
+logger = logging.getLogger('Skins.getStudentFolderInfo')
 
 
@@ -38,5 +38,5 @@
         break
     if member_id != requested_id:
-        logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+        logger.info('%s tried to access %s' % (member_id,requested_id))
         student_id = member_id
         mtool.assertViewable(context)
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudentInfo.py	(revision 1571)
@@ -21,5 +21,5 @@
 
 import logging
-logger = logging.getLogger('Student.Info')
+logger = logging.getLogger('Skins.getStudentInfo')
 
 
@@ -42,5 +42,5 @@
             break
         if member_id != requested_id:
-            logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+            logger.info('%s tried to access %s' % (member_id,requested_id))
             student_id = member_id
             mtool.assertViewable(context)
Index: WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/getStudyCourseInfo.py	(revision 1571)
@@ -53,5 +53,5 @@
 review_state = wftool.getInfoFor(context,'review_state',None)
 student_review_state = context.getStudentReviewState()
-if review_state != 'content_addable' and context.isStudent() and student_review_state = 'school_fee_paid':
+if review_state != 'content_addable' and student_review_state == 'school_fee_paid': #and context.isStudent():
     wftool.doActionFor(context,'close_for_edit')
 may_register = (student_review_state in ('school_fee_paid',)) and\
Index: WAeUP_SRP/trunk/skins/waeup_student/getTransferInfo.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/getTransferInfo.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/getTransferInfo.py	(revision 1571)
@@ -1,3 +1,3 @@
-## Script (Python) "getClearanceInfo"
+## Script (Python) "getTransferInfo"
 ##bind container=container
 ##bind context=context
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Student.Transfer.Info')
+logger = logging.getLogger('Skins.getTransferInfo')
 from DateTime import DateTime
 
@@ -29,5 +29,5 @@
 requested_id = context.getStudentId()
 if requested_id and not context.isStaff() and member_id != requested_id:
-    logger.info('"%s", "tried to access", "%s"' % (member_id,requested_id))
+    logger.info('%s tried to access %s' % (member_id,requested_id))
     return None
 elif context.isStaff():
Index: WAeUP_SRP/trunk/skins/waeup_student/personal_edit.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/personal_edit.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/personal_edit.py	(revision 1571)
@@ -16,10 +16,10 @@
 current = DateTime.DateTime()
 import logging
-logger = logging.getLogger('Student.Personal.Edit')
+logger = logging.getLogger('Skins.personal_edit')
 
 info = context.getPersonalInfo()
 
 if info is None:
-    logger.info('"anonymous access","%s"' % REQUEST.get('URL0'))
+    logger.info('Anonymous user tried to access %s' % REQUEST.get('URL0'))
     return REQUEST.RESPONSE.redirect("%s/srp_anonymous_view" % context.portal_url())
 
@@ -53,5 +53,5 @@
                                               sex = ds.get('sex'),
                                              )
-        logger.info('"%s", "edited personal data"' % (info['id']))
+        logger.info('%s edited personal data' % (info['id']))
         #action = ""
         #base_url = student.absolute_url()
Index: WAeUP_SRP/trunk/skins/waeup_student/raise_objection.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/raise_objection.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/raise_objection.py	(revision 1571)
@@ -14,10 +14,10 @@
 import DateTime
 import logging
-logger = logging.getLogger('Student.Objection')
+logger = logging.getLogger('Skins.raise_objection')
 
 wf = context.portal_workflow
 info = context.getApplicationInfo()
 if not info:
-    logger.info('"%s", "tried to access", "%s"' % (context.portal_membership.getAuthenticatedMember(),context.getStudentId()))
+    logger.info('%s tried to access %s' % (context.portal_membership.getAuthenticatedMember(),context.getStudentId()))
     return context.admission_form()
 current = DateTime.DateTime()
Index: WAeUP_SRP/trunk/skins/waeup_student/refresh_level.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/refresh_level.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/refresh_level.py	(revision 1571)
@@ -16,4 +16,7 @@
 aq_courses = context.courses_catalog.evalAdvancedQuery
 
+import logging
+logger = logging.getLogger('Skins.refresh_level')
+
 current = DateTime.DateTime()
 request = context.REQUEST
@@ -21,5 +24,5 @@
 response = request.RESPONSE
 redirect = response.redirect
-logger = logging.getLogger('Student.create_level')
+logger = logging.getLogger('Skins.refresh_level')
 mtool = context.portal_membership
 member = mtool.getAuthenticatedMember()
@@ -51,5 +54,5 @@
         c_res = aq_courses(query)
         if not c_res:
-            logger.info('"%s","%s course not found in courses catalog"' % (student.id,co.CosCode))
+            logger.info('%s, course %s not found in courses_catalog' % (student.id,co.CosCode))
             continue
         course_cat_entry = c_res[0]
@@ -60,9 +63,9 @@
                 score = int(co.Score)
             except:
-                logger.info('"%s"," course %s invalid score %s"' % (student.id,
+                logger.info('%s, course %s has invalid score %s' % (student.id,
                                                                     co.CosCode,
                                                                     co.Score))
                 continue
-            if int(c_res[0].passmark) <= score:  
+            if int(c_res[0].passmark) <= score:
                 continue
             carry_over = True
@@ -96,4 +99,5 @@
             course_result.getContent().edit(mapping=d)
 session.set('in_progress','finished')
+logger.info('%s updated course list' % member)
 return
 return response.redirect("%s" % level.absolute_url())
Index: WAeUP_SRP/trunk/skins/waeup_student/register_courses.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/register_courses.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/register_courses.py	(revision 1571)
@@ -1,3 +1,3 @@
-## Script (Python) "getStudyCourseInfo"
+## Script (Python) "register_courses"
 ##bind container=container
 ##bind context=context
@@ -23,5 +23,5 @@
 member_id = str(member)
 import logging
-logger = logging.getLogger('Student.register_courses')
+logger = logging.getLogger('Skins.register_courses')
 
 wftool = context.portal_workflow
@@ -30,4 +30,4 @@
 student = getattr(students_folder,context.getStudentId())
 wftool.doActionFor(student,'register_courses')
-logger.info('"%s","courses registered"' % student.getId())
+logger.info('%s registered course list' % student.getId())
 return request.RESPONSE.redirect("%s" % context.absolute_url())
Index: WAeUP_SRP/trunk/skins/waeup_student/reject_courses.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/reject_courses.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/reject_courses.py	(revision 1571)
@@ -1,3 +1,3 @@
-## Script (Python) "getStudyCourseInfo"
+## Script (Python) "reject_courses"
 ##bind container=container
 ##bind context=context
@@ -23,5 +23,5 @@
 member_id = str(member)
 import logging
-logger = logging.getLogger('Student.reject_courses')
+logger = logging.getLogger('Skins.reject_courses')
 
 wftool = context.portal_workflow
@@ -31,4 +31,4 @@
 student = getattr(students_folder,context.getStudentId())
 wftool.doActionFor(student,'reject_courses')
-logger.info('"%s","rejects course list for","%s"' % (member,student.getId()))
+logger.info('%s rejected course list of %s' % (member,student.getId()))
 return request.RESPONSE.redirect("%s" % context.absolute_url())
Index: WAeUP_SRP/trunk/skins/waeup_student/request_transfer.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/request_transfer.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/request_transfer.py	(revision 1571)
@@ -14,5 +14,5 @@
 import logging
 from urllib import urlencode
-logger = logging.getLogger('Student.Transfer.Request')
+logger = logging.getLogger('Skins_request_transfer')
 import DateTime
 lt = context.portal_layouts
@@ -28,6 +28,7 @@
 requested_id = context.getStudentId()
 if requested_id and not context.isStaff() and member_id != requested_id:
-    logger.info('"%s", "accessed application object of", "%s"' % (member_id,requested_id))
+    logger.info('%s tried to access object of %s' % (member_id,requested_id))
     student_id = requested_id
+    return None
 elif context.isStaff():
     student_id = requested_id
@@ -50,5 +51,5 @@
 
 if paid:
-    logger.info('"%s", "opened (paid) request transfer form of", "%s"' % (member_id,student_id))
+    logger.info('%s opened (paid) request transfer form of %s' % (member_id,student_id))
     return context.request_transfer_form(rendered = None,
                                  psm = None,
@@ -91,4 +92,6 @@
     payments = getattr(student,'payments')
 #from Products.zdb import set_trace; set_trace()
+
+logger.info('%s paid transfer form for %s' % (member_id,student_id))
 info = {}
 order_id = ds.get('pin_n')
Index: WAeUP_SRP/trunk/skins/waeup_student/search_students.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/search_students.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/search_students.py	(revision 1571)
@@ -13,5 +13,5 @@
 """
 import logging
-logger = logging.getLogger('Search.Timer')
+logger = logging.getLogger('Skins.search_students')
 from DateTime import DateTime
 #
@@ -82,4 +82,5 @@
                  In('localUsersWithRoles', ("user:%s" % member,))
         res = evalAdvancedQuery(query)
+        logger.info('ClearanceOfficer %s initiated student_search' % member)
         faculties = []
         if res:
@@ -107,4 +108,5 @@
                  In('localUsersWithRoles', ("user:%s" % member,))
         res = evalAdvancedQuery(query)
+        logger.info('CourseAdviser %s initiated student_search' % member)
         certificate_level = []
         if res:
@@ -168,4 +170,5 @@
         students_folder = context.portal_url.getPortalObject().campus.students
         if hasattr(students_folder,term.strip()):
+            logger.info('%s searches for student with id %s' % (member,term))
             request.RESPONSE.redirect("%s/%s" % (students_folder.absolute_url(),term))
         return context.search_students_form(rendered = rend,
@@ -176,7 +179,9 @@
     elif what == "department":
         res = context.students_catalog(department=term.strip())
+        logger.info('%s searches for student in department %s' % (member,term))
         search_set = [r.id for r in res]
     elif what == "matric_no":
         res = context.students_catalog(matric_no=term.strip())
+        logger.info('%s searches for student with matric_no %s' % (member,term))
         search_set = [r.id for r in res]
     elif what == "jamb_reg_no":
@@ -184,8 +189,10 @@
         st_u = "%s" % term.strip().upper()
         res = aq_students(In('jamb_reg_no',(st_l,st_u)))
+        logger.info('%s searches for student with jamb_reg_no %s' % (member,term))
         search_set = [r.id for r in res]
     elif what == "name":
         pt = ('StudentPersonal')
         query = In('portal_type',pt) & Eq('SearchableText',"%s*" % term.strip())
+        logger.info('%s searches for student with name %s' % (member,term))
         res = evalAdvancedQuery(query)
         if res:
@@ -201,4 +208,7 @@
     query = Eq('review_state',state)
     review_res = evalAdvancedQuery(query)
+    
+    logger.info('%s searches for students in review_state %s' % (member,state))
+    
     if with_timer:
         end = DateTime().timeTime()
Index: WAeUP_SRP/trunk/skins/waeup_student/set_access_data.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/set_access_data.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/set_access_data.py	(revision 1571)
@@ -8,5 +8,5 @@
 current = DateTime.DateTime()
 pr = context.portal_registration
-logger = logging.getLogger('Student.SetAccessData')
+logger = logging.getLogger('Skins.set_access_data')
 validate = REQUEST.has_key("cpsdocument_edit_button")
 
@@ -21,5 +21,5 @@
     sid = st_res[0].id
 else:
-    logger.info('"%s","Studentobject does not exist"' % matric_no)
+    logger.info('Student object with matric_no does not exist' % matric_no)
 res,psm,ds = lt.renderLayout(layout_id= 'student_session_results_search',
                       schema_id= 'student_returning',
@@ -53,8 +53,8 @@
         #psm = "You are already registered please log in with your UserId %s" % sid
         psm = ""
-        logger.info('"%s","repeatedly tried to set password"' % sid)
+        logger.info('%s repeatedly tried to set password' % sid)
     except:
         psm = "The system encountered an error. Please try again."
-        logger.info('"%s","set_access error","%s"' % (sid,password))
+        logger.info('%s, makeStudentMember error, password = %s' % (sid,password))
 if psm != '':
     return context.set_access_data_form(rendered = res,
Index: WAeUP_SRP/trunk/skins/waeup_student/start_clearance.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/start_clearance.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/start_clearance.py	(revision 1571)
@@ -8,5 +8,5 @@
 pr = context.portal_registration
 import logging
-logger = logging.getLogger('Student.Clearance.Start')
+logger = logging.getLogger('Skins.start_clearance')
 
 #type_name = 'Student'
@@ -23,5 +23,5 @@
 if info is None:
     member_id = str(context.portal_membership.getAuthenticatedMember())
-    logger.info('"%s","tried to start clearance for", "%s"' % (member_id,request.get('PATH_INFO').split('/')[-2]))
+    logger.info('%s tried to start clearance for %s' % (member_id,request.get('PATH_INFO').split('/')[-2]))
     return redirect("%s/srp_invalid_access" % context.portal_url())
 app_doc = info['app_doc']
@@ -55,13 +55,13 @@
     psm = "You have already entered a clearance pin!"
     error = True
-    logger.info('"%s", "tried to start clearance though already started"' % (info['id']))
+    logger.info('%s tried to start clearance though already started' % (info['id']))
 elif psm == 'invalid':
     psm = "Please correct your input!"
     error = True
-    logger.info('"%s","entered wrong clearance pin"' % (info['id']))
+    logger.info('%s entered wrong clearance pin' % (info['id']))
 elif app_doc.passport is None:
     #psm = "You must upload your passport picture before you can start the registration process!"
     #error = True
-    logger.info('"%s", "started clearance without passport picture"' % (info['id']))
+    logger.info('%s started clearance without passport picture' % (info['id']))
 if error:
     return context.clearance_pin_form(rendered = res,
@@ -74,5 +74,5 @@
 session.set("clicked","clicked")
 pin = str(ds.get('clr_ac_pin'))
-logger.info('"%s", "started clearance with pin", "%s"' % (info['id'],pin))
+logger.info('%s started clearance with pin %s' % (info['id'],pin))
 wf.doActionFor(info['student'],'enter_clearance_pin')
 wf.doActionFor(info['clear'],'open')
@@ -89,5 +89,5 @@
 
 if info['penalty']:
-    logger.info('"%s","started late clearance"' % (info['id']))
+    logger.info('%s started late clearance' % (info['id']))
 
 return redirect("%s/clearance_edit_form" % info['clear'].absolute_url())
Index: WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/study_level_view.pt	(revision 1571)
@@ -101,5 +101,5 @@
             <td align="left" valign="top" rowspan="3"></td>
             <td align="left" valign="top">
-                <input type="submit" name="course_result_delete:method" value="Delete selected"
+                <input type="submit" name="delete_course_result:method" value="Delete selected"
                        class="destructive" i18n:attributes="value"
                        tal:attributes="onclick python:'return window.confirm(\'%s\')' %
@@ -127,5 +127,5 @@
                        % (cpsmcat('button_select_all'), cpsmcat('button_deselect_all'))"
                        />
-                <input type="submit" name="course_result_delete:method" value="Delete selected"
+                <input type="submit" name="delete_course_result:method" value="Delete selected"
                        class="destructive" i18n:attributes="value"
                        tal:attributes="onclick python:'return window.confirm(\'%s\')' %
@@ -159,5 +159,5 @@
                        />
                 <input tal:condition="python: review_state == 'school_fee_paid'"
-                       type="submit" name="course_result_delete:method" value="Delete selected"
+                       type="submit" name="delete_course_result:method" value="Delete selected"
                        class="destructive" i18n:attributes="value"
                        tal:attributes="onclick python:'return window.confirm(\'%s\')' %
@@ -188,6 +188,4 @@
             <td><input type="text" name="course_id" 
                        tal:attributes="value request/course_id|nothing"/></td>
-            <td tal:condition="request/error|nothing" 
-                tal:content="request/error" />
             <td colspan="2">
               <input type="submit" name="add"
Index: WAeUP_SRP/trunk/skins/waeup_student/validate_courses.py
===================================================================
--- WAeUP_SRP/trunk/skins/waeup_student/validate_courses.py	(revision 1568)
+++ WAeUP_SRP/trunk/skins/waeup_student/validate_courses.py	(revision 1571)
@@ -1,3 +1,3 @@
-## Script (Python) "getStudyCourseInfo"
+## Script (Python) "validate_courses"
 ##bind container=container
 ##bind context=context
@@ -23,5 +23,5 @@
 member_id = str(member)
 import logging
-logger = logging.getLogger('Student.validate_courses')
+logger = logging.getLogger('Skins.validate_courses')
 
 wftool = context.portal_workflow
@@ -29,4 +29,4 @@
 student = getattr(students_folder,context.getStudentId())
 wftool.doActionFor(student,'validate_courses')
-logger.info('"%s","validated courses for","%s"' % (member,student.getId()))
+logger.info('%s validated course list for %s' % (member,student.getId()))
 return request.RESPONSE.redirect("%s" % context.absolute_url())
